Ubuntu

"port is slow to respond" error freezes OS for seconds while reading HDs

Reported by Dainaccio on 2008-05-12
34
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Sometimes, while reading data from HD, my OS hangs for about 15 seconds (gray window and no feedback).
The problem started with Gutsy but in Hardy it'is very frequent and makes Ubuntu almost unusable.

The PC is a notebook Acer Aspire 5630

Here the log:

May 6 14:19:59 [ 7215.888622] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
May 6 14:19:59 [ 7215.888643] ata1.01: cmd a0/00:00:00:0c:00/00:00:00:00:00/b0 tag 0 pio 12 in
May 6 14:19:59 [ 7215.888645] cdb 43 00 00 00 00 00 00 00 0c 00 00 00 00 00 00 00
May 6 14:19:59 [ 7215.888647] res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
May 6 14:19:59 [ 7215.888653] ata1.01: status: { DRDY }
May 6 14:20:04 [ 7220.919632] ata1: port is slow to respond, please be patient (Status 0xd0)
May 6 14:20:09 [ 7225.895745] ata1: device not ready (errno=-16), forcing hardreset
May 6 14:20:09 [ 7225.895755] ata1: soft resetting link
May 6 14:20:09 [ 7226.256879] ata1.00: configured for UDMA/100
May 6 14:20:09 [ 7226.444321] ata1.01: configured for UDMA/33
May 6 14:20:09 [ 7226.444343] ata1: EH complete
May 6 14:20:09 [ 7226.459683] sd 0:0:0:0: [sda] 156301488 512-byte hardware sectors (80026 MB)
May 6 14:20:09 [ 7226.475290] sd 0:0:0:0: [sda] Write Protect is off
May 6 14:20:09 [ 7226.475300] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
May 6 14:20:09 [ 7226.499305] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
May 6 14:20:09 [ 7226.523191] sd 0:0:0:0: [sda] 156301488 512-byte hardware sectors (80026 MB)
May 6 14:20:09 [ 7226.539172] sd 0:0:0:0: [sda] Write Protect is off
May 6 14:20:09 [ 7226.539182] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
May 6 14:20:09 [ 7226.563167] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA

sudo hdparm -I /dev/sda

/dev/sda:

ATA device, with non-removable media
 Model Number: HTS541080G9AT00
 Serial Number: MP28XBXBH283AS
 Firmware Revision: MB4OA60A
Standards:
 Used: ATA/ATAPI-6 T13 1410D revision 3a
 Supported: 6 5 4
Configuration:
 Logical max current
 cylinders 16383 16383
 heads 16 16
 sectors/track 63 63
 --
 CHS current addressable sectors: 16514064
 LBA user addressable sectors: 156301488
 LBA48 user addressable sectors: 156301488
 device size with M = 1024*1024: 76319 MBytes
 device size with M = 1000*1000: 80026 MBytes (80 GB)
Capabilities:
 LBA, IORDY(can be disabled)
 Standby timer values: spec'd by Vendor, no device specific minimum
 R/W multiple sector transfer: Max = 16 Current = 0
 Advanced power management level: 128
 Recommended acoustic management value: 128, current value: 254
 DMA: mdma0 mdma1 mdma2 udma0 udma1 udma2 udma3 udma4 *udma5
      Cycle time: min=120ns recommended=120ns
 PIO: pio0 pio1 pio2 pio3 pio4
      Cycle time: no flow control=240ns IORDY flow control=120ns
Commands/features:
 Enabled Supported:
    * SMART feature set
      Security Mode feature set
    * Power Management feature set
    * Write cache
    * Look-ahead
    * Host Protected Area feature set
    * WRITE_BUFFER command
    * READ_BUFFER command
    * NOP cmd
    * DOWNLOAD_MICROCODE
    * Advanced Power Management feature set
      Power-Up In Standby feature set
    * SET_FEATURES required to spinup after power up
      Address Offset Reserved Area Boot
      SET_MAX security extension
      Automatic Acoustic Management feature set
    * 48-bit Address feature set
    * Device Configuration Overlay feature set
    * Mandatory FLUSH_CACHE
    * FLUSH_CACHE_EXT
    * SMART error logging
    * SMART self-test
    * General Purpose Logging feature set
Security:
 Master password revision code = 65534
  supported
 not enabled
 not locked
 not frozen
 not expired: security count
 not supported: enhanced erase
 58min for SECURITY ERASE UNIT.
HW reset results:
 CBLID- above Vih
 Device num = 0 determined by the jumper
Checksum: correct

Dainaccio (superdinoz) wrote :
Dainaccio (superdinoz) wrote :
Dainaccio (superdinoz) wrote :
Dainaccio (superdinoz) wrote :
kiev1 (sys-sys-admin) wrote :
Phracktal (phracktal) wrote :

I have the same problem... and my laptop is an ACER Aspire 9420. See attachment

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

Dainaccio (superdinoz) wrote :

I installed the last release Intrepid Ibex and the problem is here again (well.. It has never gone away since Gutsy).

the hardware is the same, the kernel is 2.6.27-11.

Dec 29 00:26:40 amperebox kernel: [35571.777144] ata1.01: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
Dec 29 00:26:40 amperebox kernel: [35571.777168] ata1.01: cmd a0/00:00:00:00:00/00:00:00:00:00/b0 tag 0
Dec 29 00:26:40 amperebox kernel: [35571.777171] cdb 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Dec 29 00:26:40 amperebox kernel: [35571.777173] res 40/00:03:00:00:00/00:00:00:00:00/b0 Emask 0x4 (timeout)
Dec 29 00:26:40 amperebox kernel: [35571.777181] ata1.01: status: { DRDY }
Dec 29 00:26:45 amperebox kernel: [35576.817115] ata1: link is slow to respond, please be patient (ready=0)
Dec 29 00:26:50 amperebox kernel: [35581.801114] ata1: device not ready (errno=-16), forcing hardreset
Dec 29 00:26:50 amperebox kernel: [35581.801139] ata1: soft resetting link
Dec 29 00:26:50 amperebox kernel: [35582.005892] ata1.00: configured for UDMA/100
Dec 29 00:26:50 amperebox kernel: [35582.045590] ata1.01: configured for UDMA/33
Dec 29 00:26:50 amperebox kernel: [35582.045616] ata1: EH complete
Dec 29 00:26:50 amperebox kernel: [35582.064939] sd 0:0:0:0: [sda] 156301488 512-byte hardware sectors (80026 MB)
Dec 29 00:26:50 amperebox kernel: [35582.454031] sd 0:0:0:0: [sda] Write Protect is off
Dec 29 00:26:50 amperebox kernel: [35582.454046] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
Dec 29 00:26:50 amperebox kernel: [35582.497981] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Dec 29 00:26:50 amperebox kernel: [35582.527660] sd 0:0:0:0: [sda] 156301488 512-byte hardware sectors (80026 MB)
Dec 29 00:26:50 amperebox kernel: [35582.527922] sd 0:0:0:0: [sda] Write Protect is off
Dec 29 00:26:50 amperebox kernel: [35582.527928] sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
Dec 29 00:26:50 amperebox kernel: [35582.553707] sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA

Changed in linux:
importance: Undecided → Medium
status: New → Triaged
Jeremy Foshee (jeremyfoshee) wrote :

This bug report was marked as Triaged a while ago but has not had any updated comments for quite some time. Please let us know if this issue remains in the current Ubuntu release, http://www.ubuntu.com/getubuntu/download . If the issue remains, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-triage
Changed in linux (Ubuntu):
status: Triaged → Incomplete

I have this error with my Acer Aspire 9410 running the latest Ubuntu 9.10:
ata1: port is slow to respond, please be patient (Status 0xd0)
ata1: device not ready (errno=-16), forcing hardreset
ata1: soft resetting link

Before I tried Fedora 12 with the same problem.
I found many links about this problem and applied the manual fix: insert a CD ( see the post http://ubuntuforums.org/showpost.php?p=2508650&postcount=5). It works but looks like a fix from my Grand Ma :).
Previously the laptop was running Windows XP for 3 1/2 years without problem (except when using the software to burn a CD/DVD, I got exactly the same issue, the UI freezing for few seconds but quite frequently).

discord (colin.williams) on 2010-04-09
Changed in linux (Ubuntu):
status: Incomplete → New
discord (colin.williams) wrote :

I thought this problem had gone away, but recently I had an error, I'm not sure the compter may have been waking up from sleep / hibernation. I didn't have this problem with 9.10 but did with 9.04. It's happening again with 10.04. I think this bug may be a duplicate of https://bugs.launchpad.net/ubuntu/+source/linux/+bug/297058 . Anyway here are the errors I'm having:

Apr 6 03:23:52 icedtea kernel: [44724.040057] ata1: link is slow to respond, please be patient (ready=0)
Apr 6 03:23:57 icedtea kernel: [44729.024068] ata1: device not ready (errno=-16), forcing hardreset
Apr 6 03:23:57 icedtea kernel: [44729.024081] ata1: soft resetting link
Apr 6 03:23:57 icedtea kernel: [44729.206199] ata1.00: configured for UDMA/100
Apr 6 03:23:57 icedtea kernel: [44729.206206] ata1.00: device reported invalid CHS sector 0
Apr 6 03:23:57 icedtea kernel: [44729.206218] ata1: EH complete

Apr 8 19:03:15 icedtea kernel: [ 52.844042] ata1: link is slow to respond, please be patient (ready=0)
Apr 8 19:03:15 icedtea kernel: [ 57.828043] ata1: device not ready (errno=-16), forcing hardreset
Apr 8 19:03:15 icedtea kernel: [ 57.828056] ata1: soft resetting link
Apr 8 19:03:15 icedtea kernel: [ 58.010215] ata1.00: configured for UDMA/100
Apr 8 19:03:15 icedtea kernel: [ 58.010224] ata1.00: device reported invalid CHS sector 0
Apr 8 19:03:15 icedtea kernel: [ 58.010238] ata1: EH complete

Dainaccio (superdinoz) wrote :

z

Dainaccio (superdinoz) wrote :

Sorry for double post.

The error, that seemed to be gone, is here again. With the updates of the last months (I can't remember when precisely) and in the last release too. My hardware is the same of the first report.

It's really sad because it freezes the pc sometimes for tens of second a makes me angry. (OT expecially because I'm writing a thesis lol)
Bye.

daniele80 (daniele80) wrote :

I confirm this bug
on Ubuntu 10.04 Lucid Lynx.

The os randomly freezes for about 15 seconds.
I get rid of the freezes *only* when a cd-rom is mounted.
If I don't have a cd in the drive, the freezes come back.

notebook Acer Aspire 5630

neferty (roman-semko) wrote :

I confirm this problem persists on Lucid Lynx Netbook Remix. Using Samsung N130 the system randomly freezes for about 15-25 seconds (sometimes the interface; sometimes even the mouse doesn't move). I get the following dmesg:

[ 295.816174] ata1.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x6 frozen
[ 295.816196] ata1.00: failed command: WRITE DMA
[ 295.816225] ata1.00: cmd ca/00:08:00:50:7f/00:00:00:00:00/e3 tag 0 dma 4096 out
[ 295.816232] res 40/00:00:00:4f:c2/00:00:00:00:00/00 Emask 0x4 (timeout)
[ 295.816246] ata1.00: status: { DRDY }
[ 300.856096] ata1: link is slow to respond, please be patient (ready=0)
[ 305.844090] ata1: device not ready (errno=-16), forcing hardreset
[ 305.844114] ata1: soft resetting link
[ 306.024895] ata1.00: configured for UDMA/133
[ 306.024913] ata1.00: device reported invalid CHS sector 0
[ 306.024942] ata1: EH complete

Damien Lecan (dlecan) wrote :

Same problem for me on 10.04.1 using my Samsung N140.

Brad Figg (brad-figg) on 2010-12-03
tags: added: acpi-apic
tags: added: acpi-parse-exec-fail
Andy Whitcroft (apw) on 2011-02-22
Changed in linux (Ubuntu):
status: New → Triaged

Dainaccio, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions